Sort by Group By field does not work
Status: Closed Start date: 2010-08-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

as above...

Related issues:

Is duplicate of Redmine - Feature #3511: Ability to sort issues by grouped co... Closed 2009-06-18

History

#1 - 2010-08-13 11:45 - Felix Schäfer

- Status changed from New to Closed

- Resolution set to Cant reproduce

Can't reproduce.

See SubmittingBugs.

#2 - 2010-08-13 13:04 - Michalis Miatidis

- File Query.gif added

- Status changed from Closed to Reopened

Sorry, the following scenario in this site reproduces it:

the following query:

 Query.gif 

produces this result:

 Result.gif 

#3 - 2010-08-13 13:05 - Michalis Miatidis

- File Result.gif added

#4 - 2010-08-13 13:06 - Michalis Miatidis

As if the sorting is made on some internal key?

#5 - 2010-08-13 13:51 - Felix Schäfer

AFAIK versions are sorted by due date first, and names after that. Still no bug that I can see.

#6 - 2010-08-13 14:22 - Jean-Baptiste Barth

In the screenshot, the groups are not sorted like expected (from a user point of view I mean, this may be a "standard" SQL behavior, I'm not sure).

Group 1.1.0 is displayed before group 1.0.1, whereas Michalis asked for a sort by target version ascending.

#7 - 2010-08-13 14:32 - Felix Schäfer

Ah, I think I know what's happening :-)

The "group by" and "sort by" don't influence each other. If you remove the "group by", the issues will be sorted correctly/as expected, if you specify a

"group by", the issues inside the groups will be sorted correctly/as expected, but that won't influence the order of the groups. In the case where you

select the same attribute to "group by" and "sort by", well, they are sorted "correctly" inside each group, though you don't see anything of it as they all

have the same value for that attribute, rendering any sort of sorting moot.
#8 - 2010-08-13 14:51 - Jean-Baptiste Barth

Do you think we should / could find a workaround ?

#9 - 2010-08-13 14:55 - Jean-Baptiste Barth

OH: I just discovered you can "GROUP BY blah ASC" in at least sqlite and mysql. Needs to be tested, but we may have a clean workaround if it's

supported on each of our databases and/or by rails adapters.

#10 - 2010-12-07 14:40 - Moritz Voss

Jean-Baptiste Barth wrote:

OH: I just discovered you can "GROUP BY blah ASC" in at least sqlite and mysql. Needs to be tested, but we may have a clean workaround if

it's supported on each of our databases and/or by rails adapters.

 It'd be very intuitive to have it grouped, and even choose which way to group in another dropdown (just like the ordering in the other drop downs)

#11 - 2011-04-26 18:05 - Etienne Massip

- Status changed from Reopened to Closed

- Resolution changed from Cant reproduce to Duplicate

Closed as duplicate of #3511.

Files

Query.gif 9.47 KB 2010-08-13 Michalis Miatidis

Result.gif 5.77 KB 2010-08-13 Michalis Miatidis

Powered by TCPDF (www.tcpdf.org)

2025-05-02 2/2

https://www.redmine.org/issues/3511
http://www.tcpdf.org

